import typer
from loguru import logger

from tompy.io import csv_read
from tompy.series import series_price_metrics

app = typer.Typer()


@app.command()
def stat(
    readfile: str, col: str, ann_factor: int = 252, metric_mode: int = 2
) -> None:
    """
    Calculate price timeseries metrics
    """
    df = csv_read(readfile)
    assert df is not None
    df = df.dropna()
    m = series_price_metrics(df[col], ann_factor, mode=metric_mode)
    logger.info(f"\n{m}")


if __name__ == "__main__":
    app()
